Favicon

You are here: Home > API Reference > UEM > Policysync > Retrieve a paginated list of mdmPolicySync records

Retrieve a paginated list of mdmPolicySync records

Required Permission: mdm.global.policySync.list

Retrieves a paginated list of MDM policy sync operations

GET
/v1/organizations/:organizationId/mdm/policy-sync/
Copy to clipboard

Retrieve a paginated list of mdmPolicySync records

Required Permission: mdm.global.policySync.list

Retrieves a paginated list of MDM policy sync operations

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
policyId string
optional
Match pattern: ^[a-fA-F0-9]{24}$
target string
optional
emmDeviceadmDevicewinDeviceadmDeviceUser
targetId string
optional
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Match pattern: ^[a-fA-F0-9]{24}$
policyId string required
Match pattern: ^[a-fA-F0-9]{24}$
target string required
emmDevice admDevice winDevice admDeviceUser
targetId string required
Match pattern: ^[a-fA-F0-9]{24}$
data object required
policyVersion integer optional
≥ 0 · ≤ 9007199254740991
expiresAt string optional
createdAt string required
updatedAt string required
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organizationId": "string",
                "policyId": "string",
                "target": "emmDevice",
                "targetId": "string",
                "data": {},
                "policyVersion": 0,
                "expiresAt": "string",
                "createdAt": "string",
                "updatedAt": "string"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}